using PlcSiemens.O;
using PlcSiemens.Protocol.Header;

namespace PlcSiemens.Protocol.Negotiate
{
    public class NegotiateResponse : IBuildResponse
    {
        public HeaderPacketWithErrorCode Header { get; set; }
        public NegotiateResponseParams Params { get; set; }

        public NegotiateResponse()
        {
            Header = new HeaderPacketWithErrorCode();
            Params = new NegotiateResponseParams();
        }

        public void Build(ByteBuffer buffer)
        {
            Header.Build(buffer);
            Params.Build(buffer);
        }
    }
}
